ACKINFO.CGI(1)

NAME
ackinfo.cgi - Xymon CGI script to acknowledge alerts

SYNOPSIS
ackinfo.cgi

DESCRIPTION
ackinfo.cgi is invoked as a CGI script via the ackinfo.sh CGI wrapper. ackinfo.cgi is used to acknowledge an alert on the Xymon "Critical Systems" view, generated by the criticalview.cgi(1) utility. This allows the staff viewing the Critical Systems view to acknowledge alerts with a "Level 1" alert, thereby removing the alert from the Critical Systems view. Note that the Level 1 alert generated by the ackinfo.cgi utility does NOT stop alerts from being sent. In a future version of Xymon (after Xymon 4.2), this utility will also be used for acknowledging alerts at other levels.

OPTIONS

--level=NUMBER
    Sets the acknowledgment level. This is typically used to force a specific level of the acknowledgment, e.g. a level 1 acknowledge when called from the Critical Systems view.

--validity=TIME
    Sets the validity of the acknowledgment. By default this is taken from the CGI parameters supplied by the user.

--sender=STRING
    Logs STRING as the sender of the acknowledgment. By default, this is taken from the loginname of the webuser sending the acknowledgment.

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
    Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
    Enables debugging output.

ENVIRONMENT VARIABLES

XYMONHOME
    Used to locate the template files for the generated web pages.

QUERY_STRING
    Contains the parameters for the CGI script.

SEE ALSO
criticalview.cgi(1), xymon(7)